%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}

Name:		php-channel-deepend

Version:	1.3
Release:	2%{?dist}
Summary:	Survive The Deep End PEAR Channel

Group:		Development/Languages
License:	BSD
URL:		http://www.survivethedeepend.com/
Source0:	http://pear.survivethedeepend.com/channel.xml
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	php-pear >= 1:1.4.9-1.2
Requires:	php-pear(PEAR)

Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:	php-channel(pear.survivethedeepend.com) = %{version}

%description
This package adds the Survive The Deep End PEAR Channel which allows
PEAR packages from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{pear_xmldir}
%{__install} -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{pear_xmldir}/%{name}.xml


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq  1 ] ; then
	%{__pear} channel-add %{pear_xmldir}/%{name}.xml > /dev/null || :
else
	%{__pear} channel-update %{pear_xmldir}/%{name}.xml > /dev/null ||:
fi


%postun
if [ $1 -eq 0 ] ; then
	%{__pear} channel-delete pear.survivethedeepend.com > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml

%changelog
* Thu Jul 15 2010 Christof Damian <christof@damian.net> - 1.3-2
- remove wildcard from files

* Fri May 28 2010 Christof Damian <christof@damian.net> - 1.3-1
- initial package

